Bloody Light

By hiforreal :: Tuesday December 30th, 2014

 

This game requires the Adobe Flash Player.

Enable Flash

make a game

This took me a long time to make.So if you see any bugs or glitches pls tell them to me on a message below. Get scared!

 

More games by hiforreal